curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style: bullet points or paragraph", "required": false},
{"name": "max_words", "description": "Maximum word count for the summary", "required": false}
],
"template_content": "Summarize the following article in {{style}} format, keeping it under {{max_words}} words:\n\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Summarize the following article in {{style}} format...",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
Create a new prompt template within a server.
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style: bullet points or paragraph", "required": false},
{"name": "max_words", "description": "Maximum word count for the summary", "required": false}
],
"template_content": "Summarize the following article in {{style}} format, keeping it under {{max_words}} words:\n\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Summarize the following article in {{style}} format...",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
write_product_description). Use snake_case.name (string, required) — argument identifierdescription (string) — what the argument is forrequired (boolean) — whether it must be provided{{argument_name}} placeholders.curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style: bullet points or paragraph", "required": false},
{"name": "max_words", "description": "Maximum word count for the summary", "required": false}
],
"template_content": "Summarize the following article in {{style}} format, keeping it under {{max_words}} words:\n\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize an article in a specified style and length",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Summarize the following article in {{style}} format...",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}